Summary:	A server process which provides boot information to diskless clients
Name:		bootparamd
Version:	0.17
Release:	%mkrel 30
License:	BSD
Group:		System/Servers
Url:		ftp://ftp.uk.linux.org/pub/linux/Networking/netkit
Source0:	https://ibiblio.org/pub/Linux/system/network/daemons/netkit-bootparamd-0.17.tar.bz2
Source1:	bootparamd.service
Source2:	bootparamprog_1.patch
Patch0:		fix-getopt-return-type.patch
Patch1:		use-cmake-as-buildsystem.patch
Patch2:		use-cmake-as-buildsystem-debian-extras.patch
Patch3:		use-cmake-as-buildsystem-tirpc.patch
Patch4:		tirpc-drop-glibc-fix.patch
Patch5:		fix_bootparamd_manpage.patch
Patch6:		use-cmake-as-buildsystem-mageia-extras.patch
BuildRequires:	cmake
BuildRequires:	rpcsvc-proto-devel
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	rpcgen
Requires(post):	systemd
Requires(preun): systemd
Requires:	rpcbind

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%autosetup -p1 -n netkit-bootparamd-%{version}

cp -a %{SOURCE2} .

%build
%cmake
%cmake_build -j1

%install
%cmake_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/bootparamd.service

%post
%_post_service bootparamd

%preun
%_preun_service bootparamd

%files
%doc README
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_unitdir}/bootparamd.service


%changelog
* Fri May 03 2024 daviddavid <daviddavid> 0.17-30.mga10
+ Revision: 2061934
- switch to systemd unit from initscripts (from debian)
- add debian patches to build with cmake

* Sat Mar 19 2022 umeabot <umeabot> 0.17-29.mga9
+ Revision: 1800022
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 0.17-28.mga8
+ Revision: 1649514
- fix building with libtirpc
- BR rpcgen (fix build with glibc-2.32)

* Wed Feb 12 2020 umeabot <umeabot> 0.17-27.mga8
+ Revision: 1510763
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.17-26.mga7
+ Revision: 1295619
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.17-25.mga6
+ Revision: 953544
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 0.17-24.mga6
+ Revision: 879916
- bump release
- reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 0.17-23.mga6
+ Revision: 874930
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.17-22.mga5
+ Revision: 745511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17-21.mga5
+ Revision: 678204
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-20.mga4
+ Revision: 503156
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.17-19.mga3
+ Revision: 347144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 18 2012 colin <colin> 0.17-18.mga2
+ Revision: 231262
- Fix LSB headers

* Mon Mar 28 2011 steletch <steletch> 0.17-17.mga1
+ Revision: 78537
- imported package bootparamd


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-17mdv2011.0
+ Revision: 603765
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-16mdv2010.1
+ Revision: 522257
- rebuilt for 2010.1

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-15mdv2010.0
+ Revision: 400401
- fix dependencies

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.17-14mdv2009.1
+ Revision: 350212
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.17-13mdv2009.0
+ Revision: 220490
- rebuild

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-12mdv2008.1
+ Revision: 157352
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild with fixed %%serverbuild macro

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.17-9mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-9mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.17-8mdk
- Rebuild

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17-7mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17-6mdk
- fix rpmlint errors (PreReq)

* Wed Jul 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.17-5mdk
- cleanups
- s/Copyright/License/
- fix unpackaged files
- prereq on rpm-helper

